Bug 1087463 - (CVE-2018-7160) VUL-0: CVE-2018-7160: nodejs4,nodejs6,nodejs: Inspector DNS rebinding vulnerability
(CVE-2018-7160)
VUL-0: CVE-2018-7160: nodejs4,nodejs6,nodejs: Inspector DNS rebinding vulnera...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Jordi Massaguer
Security Team bot
https://smash.suse.de/issue/202914/
CVSSv3:RedHat:CVE-2018-7160:8.3:(AV:N...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-03-29 13:04 UTC by Karol Babioch
Modified: 2020-07-02 13:05 UTC (History)
4 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---
jmassaguerpla: needinfo? (bgeuken)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Karol Babioch 2018-03-29 13:04:56 UTC
A malicious website could use a DNS rebinding attack to trick a web browser to bypass same-origin-policy checks and allow HTTP connections to localhost or to hosts on the local network, potentially to an open inspector port as a debugger, therefore gaining full code execution access.

References:

https://github.com/nodejs/node/blob/master/doc/changelogs/CHANGELOG_V8.md

References:
https://bugzilla.redhat.com/show_bug.cgi?id=1561979
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2018-7160
Comment 2 Karol Babioch 2018-03-29 13:10:59 UTC
Inspector code not available in:

nodejs @ SUSE:SLE-11-SP2:Update 
nodejs4 @ SUSE:SLE-12:Update 

Vulnerable code not present in:

nodejs6 @ SUSE:SLE-12:Update 

Could you please verify?
Comment 3 Adam Majer 2018-04-03 10:54:37 UTC
SLE-12 W&S module is affected because there nodejs{4,6} is using bundled OpenSSL. It's unaffected for Leap 42.3 since it's not using bundled openssl library.
Comment 4 Adam Majer 2018-04-03 10:56:31 UTC
(In reply to Adam Majer from comment #3)
> SLE-12 W&S module is affected because there nodejs{4,6} is using bundled
> OpenSSL. It's unaffected for Leap 42.3 since it's not using bundled openssl
> library.

Oops. It's affected, nothing to do with OpenSSL.
Comment 5 Adam Majer 2018-04-03 10:59:01 UTC
I need more sleep before answering questions ;)

So, nodejs4 is unaffected by this bug.
nodejs6 and nodejs8 are both affected.
Comment 6 Karol Babioch 2018-04-03 15:10:04 UTC
what about nodejs 0.6.8-0.2.3 as shipped in SUSE:SLE-11-SP2:Update? Is it already not affected?
Comment 7 Swamp Workflow Management 2018-04-05 07:40:13 UTC
This is an autogenerated message for OBS integration:
This bug (1087463) was mentioned in
https://build.opensuse.org/request/show/593710 Factory / nodejs8
https://build.opensuse.org/request/show/593711 Factory / nodejs6
Comment 8 Swamp Workflow Management 2018-04-05 08:20:12 UTC
This is an autogenerated message for OBS integration:
This bug (1087463) was mentioned in
https://build.opensuse.org/request/show/593717 Factory / nodejs8
Comment 10 Jordi Massaguer 2018-04-06 09:01:42 UTC
(In reply to Karol Babioch from comment #6)
> what about nodejs 0.6.8-0.2.3 as shipped in SUSE:SLE-11-SP2:Update? Is it
> already not affected?

This package was only used for building the assets for the studio product.
@Bjoern: please confirm.
Comment 11 Swamp Workflow Management 2018-05-09 19:09:18 UTC
SUSE-SU-2018:1183-1: An update that fixes three vulnerabilities is now available.

Category: security (moderate)
Bug References: 1087453,1087459,1087463
CVE References: CVE-2018-7158,CVE-2018-7159,CVE-2018-7160
Sources used:
SUSE OpenStack Cloud 7 (src):    nodejs6-6.14.1-11.12.1
SUSE Linux Enterprise Module for Web Scripting 12 (src):    nodejs6-6.14.1-11.12.1
SUSE Enterprise Storage 4 (src):    nodejs6-6.14.1-11.12.1
Comment 12 Swamp Workflow Management 2018-05-10 22:13:22 UTC
openSUSE-SU-2018:1209-1: An update that fixes three vulnerabilities is now available.

Category: security (moderate)
Bug References: 1087453,1087459,1087463
CVE References: CVE-2018-7158,CVE-2018-7159,CVE-2018-7160
Sources used:
openSUSE Leap 42.3 (src):    nodejs6-6.14.1-9.2
Comment 13 Swamp Workflow Management 2018-09-20 13:11:11 UTC
This is an autogenerated message for OBS integration:
This bug (1087463) was mentioned in
https://build.opensuse.org/request/show/636889 42.3+Backports:SLE-12 / nodejs8
Comment 14 Marcus Meissner 2018-10-04 18:26:40 UTC
refleased
Comment 15 Swamp Workflow Management 2018-10-17 10:41:13 UTC
This is an autogenerated message for OBS integration:
This bug (1087463) was mentioned in
https://build.opensuse.org/request/show/642571 42.3+Backports:SLE-12 / nodejs8
Comment 16 Swamp Workflow Management 2018-10-19 12:40:29 UTC
This is an autogenerated message for OBS integration:
This bug (1087463) was mentioned in
https://build.opensuse.org/request/show/643179 42.3 / nodejs10
Comment 17 Swamp Workflow Management 2018-11-16 14:01:18 UTC
This is an autogenerated message for OBS integration:
This bug (1087463) was mentioned in
https://build.opensuse.org/request/show/649577 Backports:SLE-12-SP2 / nodejs8
Comment 21 Swamp Workflow Management 2019-12-11 20:24:36 UTC
SUSE-SU-2019:14246-1: An update that fixes 118 vulnerabilities is now available.

Category: security (important)
Bug References: 1000036,1001652,1025108,1029377,1029902,1040164,104105,1042670,1043008,1044946,1047925,1047936,1048299,1049186,1050653,1056058,1058013,1066242,1066953,1070738,1070853,1072320,1072322,1073796,1073798,1073799,1073803,1073808,1073818,1073823,1073829,1073830,1073832,1073846,1074235,1077230,1079761,1081750,1082318,1087453,1087459,1087463,1088573,1091764,1094814,1097158,1097375,1097401,1097404,1097748,1104841,1105019,1107030,1109465,1117473,1117626,1117627,1117629,1117630,1120644,1122191,1123482,1124525,1127532,1129346,1130694,1130840,1133452,1133810,1134209,1138459,1140290,1140868,1141853,1144919,1145665,1146090,1146091,1146093,1146094,1146095,1146097,1146099,1146100,1149323,1153423,1154738,1447070,1447409,744625,744629,845955,865853,905528,917607,935856,937414,947747,948045,948602,955142,957814,957815,961254,962297,966076,966077,985201,986541,991344,998743
CVE References: CVE-2013-2882,CVE-2013-6639,CVE-2013-6640,CVE-2013-6668,CVE-2014-0224,CVE-2015-3193,CVE-2015-3194,CVE-2015-5380,CVE-2015-7384,CVE-2016-2086,CVE-2016-2178,CVE-2016-2183,CVE-2016-2216,CVE-2016-5172,CVE-2016-5325,CVE-2016-6304,CVE-2016-6306,CVE-2016-7052,CVE-2016-7099,CVE-2017-1000381,CVE-2017-10686,CVE-2017-11111,CVE-2017-11499,CVE-2017-14228,CVE-2017-14849,CVE-2017-14919,CVE-2017-15896,CVE-2017-15897,CVE-2017-17810,CVE-2017-17811,CVE-2017-17812,CVE-2017-17813,CVE-2017-17814,CVE-2017-17815,CVE-2017-17816,CVE-2017-17817,CVE-2017-17818,CVE-2017-17819,CVE-2017-17820,CVE-2017-18207,CVE-2017-3735,CVE-2017-3736,CVE-2017-3738,CVE-2018-0732,CVE-2018-1000168,CVE-2018-12115,CVE-2018-12116,CVE-2018-12121,CVE-2018-12122,CVE-2018-12123,CVE-2018-20406,CVE-2018-20852,CVE-2018-7158,CVE-2018-7159,CVE-2018-7160,CVE-2018-7161,CVE-2018-7167,CVE-2019-10160,CVE-2019-11709,CVE-2019-11710,CVE-2019-11711,CVE-2019-11712,CVE-2019-11713,CVE-2019-11714,CVE-2019-11715,CVE-2019-11716,CVE-2019-11717,CVE-2019-11718,CVE-2019-11719,CVE-2019-11720,CVE-2019-11721,CVE-2019-11723,CVE-2019-11724,CVE-2019-11725,CVE-2019-11727,CVE-2019-11728,CVE-2019-11729,CVE-2019-11730,CVE-2019-11733,CVE-2019-11735,CVE-2019-11736,CVE-2019-11738,CVE-2019-11740,CVE-2019-11742,CVE-2019-11743,CVE-2019-11744,CVE-2019-11746,CVE-2019-11747,CVE-2019-11748,CVE-2019-11749,CVE-2019-11750,CVE-2019-11751,CVE-2019-11752,CVE-2019-11753,CVE-2019-11757,CVE-2019-11758,CVE-2019-11759,CVE-2019-11760,CVE-2019-11761,CVE-2019-11762,CVE-2019-11763,CVE-2019-11764,CVE-2019-13173,CVE-2019-15903,CVE-2019-5010,CVE-2019-5737,CVE-2019-9511,CVE-2019-9512,CVE-2019-9513,CVE-2019-9514,CVE-2019-9515,CVE-2019-9516,CVE-2019-9517,CVE-2019-9518,CVE-2019-9636,CVE-2019-9811,CVE-2019-9812,CVE-2019-9947
Sources used:
SUSE Linux Enterprise Server 11-SP4-LTSS (src):    MozillaFirefox-68.2.0-78.51.4, MozillaFirefox-branding-SLED-68-21.9.8, firefox-atk-2.26.1-2.8.4, firefox-cairo-1.15.10-2.13.4, firefox-gcc5-5.3.1+r233831-14.1, firefox-gcc8-8.2.1+r264010-2.5.1, firefox-gdk-pixbuf-2.36.11-2.8.4, firefox-glib2-2.54.3-2.14.7, firefox-gtk3-3.10.9-2.15.3, firefox-harfbuzz-1.7.5-2.7.4, firefox-libffi-3.2.1.git259-2.3.3, firefox-libffi-gcc5-5.3.1+r233831-14.1, firefox-pango-1.40.14-2.7.4, mozilla-nspr-4.21-29.6.1, mozilla-nss-3.45-38.9.3

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.